VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
CInvalidRectList Struct Reference

`#include <cinvalidrectlist.h>`

## Public Types
using | RectList = std::vector<CRect>

## Public Member Functions
bool | add (const CRect &r)
RectList::iterator | begin ()
RectList::iterator | end ()
RectList::const_iterator | begin () const
RectList::const_iterator | end () const
void | erase (RectList::iterator it)
void | clear ()
const RectList & | data () const
bool | empty () const

## Member Typedef Documentation

## ◆ RectList

using RectList = std::vector<CRect>

## Member Function Documentation

## ◆ add()

bool add | ( | const CRect & | r | ) |
| inline

## ◆ begin() [1/2]

RectList::iterator begin | ( |  | ) |
| inline

## ◆ begin() [2/2]

RectList::const_iterator begin | ( |  | ) | const
| inline

## ◆ clear()

void clear | ( |  | ) |
| inline

## ◆ data()

const RectList & data | ( |  | ) | const
| inline

## ◆ empty()

bool empty | ( |  | ) | const
| inline

## ◆ end() [1/2]

RectList::iterator end | ( |  | ) |
| inline

## ◆ end() [2/2]

RectList::const_iterator end | ( |  | ) | const
| inline

## ◆ erase()

void erase | ( | RectList::iterator | it | ) |
| inline

The documentation for this struct was generated from the following file:

- cinvalidrectlist.h